> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify domain DNS

> Asks SendGrid to re-check the DNS records for this channel's domain and, if inbound parse has been configured, also checks the MX. Returns the channel with the updated outbound_validation_status and inbound_validation_status.



## OpenAPI

````yaml /openapi.json post /api/public/email-channel/verify/{id}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/email-channel/verify/{id}:
    post:
      tags:
        - email-channel
      summary: Verify domain DNS
      description: >-
        Asks SendGrid to re-check the DNS records for this channel's domain and,
        if inbound parse has been configured, also checks the MX. Returns the
        channel with the updated outbound_validation_status and
        inbound_validation_status.
      operationId: PublicEmailChannelController_verify
      parameters:
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            format: uuid
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailChannelResponseDto'
        '404':
          description: Email channel not found
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailChannelResponseDto'
components:
  schemas:
    EmailChannelResponseDto:
      type: object
      properties:
        id:
          type: string
        sender_address:
          type: string
        sender_name:
          type: string
        created_at:
          format: date-time
          type: string
        email_domain:
          $ref: '#/components/schemas/EmailDomainResponseDto'
      required:
        - id
        - sender_address
        - sender_name
        - created_at
        - email_domain
    EmailDomainResponseDto:
      type: object
      properties:
        id:
          type: string
        domain:
          type: string
        outbound_validation_status:
          type: string
          enum:
            - not_configured
            - pending
            - verified
            - failed
        inbound_validation_status:
          type: string
          enum:
            - not_configured
            - pending
            - verified
            - failed
        dns_records:
          type: array
          items:
            $ref: '#/components/schemas/DnsRecordResponseDto'
        planned_inbound_mx:
          $ref: '#/components/schemas/PlannedInboundMxResponseDto'
        connection_method:
          type: string
          enum:
            - manual
            - shared
        subdomain_slug:
          type: string
          nullable: true
      required:
        - id
        - domain
        - outbound_validation_status
        - inbound_validation_status
        - connection_method
    DnsRecordResponseDto:
      type: object
      properties:
        id:
          type: string
        record_type:
          type: string
          enum:
            - cname
            - mx
            - txt
        host:
          type: string
        data:
          type: string
        valid:
          type: boolean
        purpose:
          type: string
          enum:
            - spf
            - dkim1
            - dkim2
            - inbound_mx
      required:
        - id
        - record_type
        - host
        - data
        - valid
        - purpose
    PlannedInboundMxResponseDto:
      type: object
      properties:
        host:
          type: string
        data:
          type: string
      required:
        - host
        - data

````